| Home | Libraries | People | FAQ | More

## Function template is_strictly_decreasing

boost::algorithm::is_strictly_decreasing

## Synopsis

    // In header: <boost/algorithm/cxx11/is_sorted.hpp>

    template<typename R> bool is_strictly_decreasing(const R & range);

## Description

| Note
This function will return false for sequences that contain items that compare equal. If that is not what you intended, you should use is_decreasing instead.

Parameters:

`range` | The range to be tested.

Returns: | true if the entire sequence is strictly decreasing; i.e, each item is less than the previous one